Download it now!
Bug 122454 - Impress UI: Drag'n'drop reorder animations leaves incorrect animation selected (Windows only)
Summary: Impress UI: Drag'n'drop reorder animations leaves incorrect animation selecte...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Brian Fraser
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks: Drag-and-Drop
  Show dependency treegraph
 
Reported: 2019-01-03 22:02 UTC by Brian Fraser
Modified: 2019-02-12 09:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Fraser 2019-01-03 22:02:05 UTC
Description:
On Windows, reordering custom animations in impress via drag'n'drop leaves the wrong animation selected.


Steps to Reproduce:
In Windows:
1. Open an Impress presentation which has multiple custom animations on one slide.
2. In the 'Animation' side bar, select an animation and drag it up or down.
3. Drop the animation.

In Linux: Works as expected

Actual Results:
If you are dragging an animation to the bottom of the list, it highlights the second to last one (not the last one, which you have just dropped).
Otherwise, it highlights the one below the animation you dropped.
(Note that the animations are reordered correctly, it's just the incorrect one is highlighted)

Expected Results:
The animation which was dropped should be highlighted.


Reproducible: Always


User Profile Reset: No



Additional Info:
Fails under Windows, but works under Linux. Replicated on multiple machines by multiple developers.
Comment 1 Jim Raykowski 2019-01-09 07:35:24 UTC
reproduce in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 7176211382cc288750273e16ea7eb206854be33f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-12-17_03:47:50
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 Jim Raykowski 2019-01-09 10:30:11 UTC
SvTreeListBox::DragFinished is handled differently when UNX is not defined. I wonder if this bug also shows in Mac builds. I agree the call to SvTreeListBox::DragFinish is not needed.
Comment 3 Commit Notification 2019-01-10 21:22:10 UTC
Brian Fraser committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f0856d3c6115163da837c141b69ab017b8f1fd81%5E%21

tdf#122454 Impress: Correct d'n'd animation selection in Windows

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Jim Raykowski 2019-01-10 22:17:26 UTC
Hi Xisco,

I've added you here in hope that you would be able to help backport this bug fix.  
I believe it was introduced in version 6.2.
Comment 5 Xisco Faulí 2019-02-11 16:59:01 UTC
(In reply to Jim Raykowski from comment #4)
> Hi Xisco,
> 
> I've added you here in hope that you would be able to help backport this bug
> fix.  
> I believe it was introduced in version 6.2.

Hi Jim,
Sorry for the late response. You message went unnoticed. Cherry-picked to 6-2 -> https://gerrit.libreoffice.org/#/c/67694/
Comment 6 Xisco Faulí 2019-02-11 17:05:37 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 429f6cde5dcd48077e064de6dc0378886db7f842
CPU threads: 16; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-US
Calc: threaded

@Brian Fraser, Thanks for fixing this issue!!

Closing as VERIFIED FIXED
Comment 7 Commit Notification 2019-02-12 09:56:02 UTC
Brian Fraser committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/91151d5b642e44330c18087ebe0493cfa59b967b%5E%21

tdf#122454 Impress: Correct d'n'd animation selection in Windows

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.